search
Categories
Sponsors
VirtualMetric Hyper-V Monitoring, Hyper-V Reporting
Archive
Blogroll

Badges
MCSE
Community

Cozumpark Bilisim Portali
Posted in Linux Server | 3 Comments | 5,540 views | 31/10/2010 02:31

You may get this error when you do kernel compile in Debian 5.0.x versions.

This is kernel package version 11.015.
echo “The UTS Release version in include/linux/version.h”; echo ” \”\” “; echo “does not match current version:”; echo ” \”2.6.36-hyperv\” “; echo “Please correct this.”; exit 2
The UTS Release version in include/linux/version.h
“”
does not match current version:
“2.6.36-hyperv”
Please correct this.
make[1]: *** [debian/stamp/install/linux-image-2.6.36-hyperv] Error 2
make[1]: Leaving directory `/usr/src/linux-2.6.36′
make: *** [kernel_image] Error 2

To fix this issue, navigate to your kernel directory:

cd /usr/src/linux-*/debian/ruleset/misc

Open version_vars.mk:

nano version_vars.mk

Change the file like the below:

UTS_RELEASE_HEADER=$(call doit,if [ -f include/generated/utsrelease.h ]; then  \
	                       echo include/generated/utsrelease.h;            \
	                   else                                            \
                               echo include/generated/utsrelease.h ;              \
	                   fi)

Then you can compile your new kernel.